Subject: bug#41747: 27.0.91; Add default fontset setup for "Symbols and Pictographs Extended-A"

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Jun 2020 17:38:09 +0300

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Tue, 09 Jun 2020 20:53:21 -0400
> 
>   > Specifically, for displaying emoji it would be unimaginable, IMO, to
>   > rely on Unifont as the solution.
> 
> We may have no choice, at least in the short term.
> Our mission -- replacing nonfree software with free software -- is hard
> enough.  I don't think it is wise to make it harder by demanding we
> compete with nonfree software on esthetic points.

That may be true, but I wrote that to answer your question: why using
Unifont constitutes a failure.

> However, it would be good to show the community that we are looking for
> people to design free repacements for those nonfree font extensions.
> I will discuss the issue with someone that works on free fonts.

There are already free fonts that cover these new characters, we just
need to add their support to Emacs.  There's a TODO item about
extending emoji support.